#ifndef FREQREPLICATOR_H
#define FREQREPLICATOR_H

#include <QObject>

#include "device/DeviceBase.h"

class FreqReplicator : public DeviceBase
{
    Q_OBJECT
public:
    explicit FreqReplicator(QObject *parent = nullptr);
    ~FreqReplicator();

    void afterFramePhase(DeviceFrameBaseDto * frameDto);

signals:
    void sendDataToDraw(DeviceFrameBaseDto * frameData);

public slots:
    void dataReceivedHandler(QByteArray data);
};

#endif // FREQREPLICATOR_H
